libstdc++

Public Types | Public Member Functions | List of all members
__gnu_cxx::__scoped_lock Class Reference

## Public Types

typedef __mutex | __mutex_type

## Public Member Functions

| __scoped_lock (__mutex_type &__name)

## Detailed Description

Scoped lock idiom.

Definition at line 231 of file concurrence.h.

The documentation for this class was generated from the following file:

- concurrence.h